Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewsFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewsFactoryImpl

All Implemented Interfaces:
  `ReviewsFactory`, `Notifier`, `EFactory`, `EModelElement`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BinaryResourceImpl.DataConverter.Factory`

public class ReviewsFactoryImpl extends EFactoryImpl implements ReviewsFactory
An implementation of the model Factory.

Generated
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.reviews.ReviewsFactory

`eINSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`ReviewsFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertModelReferenceToString(EDataType eDataType, Object instanceValue)`
`String`
`convertReviewStatusToString(EDataType eDataType, Object instanceValue)`
`String`
`convertTopicStatusToString(EDataType eDataType, Object instanceValue)`
`String`
`convertToString(EDataType eDataType, Object instanceValue)`
`EObject`
`create(EClass eClass)`
`Comment`
`createComment()`
`DeliveryReview`
`createDeliveryReview()`
`DropReview`
`createDropReview()`
`Object`
`createFromString(EDataType eDataType, String initialValue)`
`ModelReference`
`createModelReferenceFromString(EDataType eDataType, String initialValue)`
`ReviewStatus`
`createReviewStatusFromString(EDataType eDataType, String initialValue)`
`ReviewTemplate`
`createReviewTemplate()`
`Topic`
`createTopic()`
`TopicStatus`
`createTopicStatusFromString(EDataType eDataType, String initialValue)`
`static ReviewsPackage`
`getPackage()`
Deprecated.
`ReviewsPackage`
`getReviewsPackage()`
`static ReviewsFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### ReviewsFactoryImpl

public ReviewsFactoryImpl()
Creates an instance of the factory.

Generated

## Method Details

### init

public static ReviewsFactory init()
Creates the default factory implementation.

Generated

### create

public EObject create(EClass eClass)

Specified by:
  `create` in interface `EFactory`
Overrides:
  `create` in class `EFactoryImpl`
Generated

### createFromString

public Object createFromString(EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `EFactory`
Overrides:
  `createFromString` in class `EFactoryImpl`
Generated

### convertToString

public String convertToString(EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `EFactory`
Overrides:
  `convertToString` in class `EFactoryImpl`
Generated

### createComment

public Comment createComment()

Specified by:
  `createComment` in interface `ReviewsFactory`
Returns:
  a new object of class 'Comment'.
Generated

### createTopic

public Topic createTopic()

Specified by:
  `createTopic` in interface `ReviewsFactory`
Returns:
  a new object of class 'Topic'.
Generated

### createReviewTemplate

public ReviewTemplate createReviewTemplate()

Specified by:
  `createReviewTemplate` in interface `ReviewsFactory`
Returns:
  a new object of class 'Review Template'.
Generated

### createDeliveryReview

public DeliveryReview createDeliveryReview()

Specified by:
  `createDeliveryReview` in interface `ReviewsFactory`
Returns:
  a new object of class 'Delivery Review'.
Generated

### createDropReview

public DropReview createDropReview()

Specified by:
  `createDropReview` in interface `ReviewsFactory`
Returns:
  a new object of class 'Drop Review'.
Generated

### createTopicStatusFromString

public TopicStatus createTopicStatusFromString(EDataType eDataType, String initialValue)

Since:
  1.2
Generated

### convertTopicStatusToString

public String convertTopicStatusToString(EDataType eDataType, Object instanceValue)

Since:
  1.2
Generated

### createModelReferenceFromString

public ModelReference createModelReferenceFromString(EDataType eDataType, String initialValue)

Since:
  1.2
Generated

### convertModelReferenceToString

public String convertModelReferenceToString(EDataType eDataType, Object instanceValue)

Since:
  1.2
Generated

### createReviewStatusFromString

public ReviewStatus createReviewStatusFromString(EDataType eDataType, String initialValue)

Generated

### convertReviewStatusToString

public String convertReviewStatusToString(EDataType eDataType, Object instanceValue)

Generated

### getReviewsPackage

public ReviewsPackage getReviewsPackage()

Specified by:
  `getReviewsPackage` in interface `ReviewsFactory`
Returns:
  the package supported by this factory.
Generated

### getPackage

@Deprecated public static ReviewsPackage getPackage()
Deprecated.

Generated